using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using TXSoft.Common;
using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;
using A8ERP.Common;

namespace A8ERP.CaiGou.CaiGouTongJiFenxi
{
    public partial class W_CG_HZ_Base
    {
        public W_CG_HZ_Base()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            dw_list.AllowCreate = true;
            dw_list.AllowRetrieve = true;
            dw_temp.AllowCreate = true;
            dw_temp.AllowRetrieve = true;

 
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_Report_Open_Mx", "/Base/W_Base_Report_Open_Mx.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_CG_HZ_Base", "/CaiGou/CaiGouTongJiFenxi/W_CG_HZ_Base.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_HZTJ", "/CaiGou/CaiGouDingDanTongJiFenXi/W_HZTJ.win.js?JSV=" + AppService.GetJSVesion());  
            }

            this.btn_Print.DataWindowAction = TXSoft.ExtPB.DataWindowAction.None;

        }
    }
}
